Bug 1475362 - [abrt] gimp: combine_mask_and_alpha_channel_stroke(): gimp-2.8 killed by signal 11
[abrt] gimp: combine_mask_and_alpha_channel_stroke(): gimp-2.8 killed by sign...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e5091c43028f68ae7656a042c8e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 09:50 EDT by Jonas Thiem
Modified: 2017-08-04 19:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 19:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.55 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: core_backtrace (20.64 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: dso_list (13.14 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: environ (1.53 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: maps (68.06 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: open_fds (1.29 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details
File: var_log_messages (1.56 KB, text/plain)
2017-07-26 09:50 EDT, Jonas Thiem
no flags Details

  None (edit)
Description Jonas Thiem 2017-07-26 09:50:03 EDT
Version-Release number of selected component:
gimp-2.8.22-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gimp-2.8
crash_function: combine_mask_and_alpha_channel_stroke
executable:     /usr/bin/gimp-2.8
journald_cursor: s=26ba0c023611487a89de19e7b4de4b70;i=b751;b=e41cca87b0b0413b8d8d57f6ddeb8a1d;m=8f189d7c;t=55538ab256504;x=ca7631d62c9a3364
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 combine_mask_and_alpha_channel_stroke at paint-funcs-generic.h:648
 #1 combine_mask_and_sub_region_stroke at paint-funcs.c:3785
 #2 do_parallel_regions_single at pixel-processor.c:214
 #3 pixel_regions_do_parallel at pixel-processor.c:337
 #4 pixel_regions_process_parallel_valist at pixel-processor.c:406
 #5 pixel_regions_process_parallel at pixel-processor.c:479
 #6 combine_mask_and_region at paint-funcs.c:3803
 #7 paint_mask_to_canvas_tiles at gimppaintcore.c:1215
 #8 gimp_paint_core_paste at gimppaintcore.c:971
 #9 gimp_brush_core_paste_canvas at gimpbrushcore.c:945
Comment 1 Jonas Thiem 2017-07-26 09:50:11 EDT
Created attachment 1304807 [details]
File: backtrace
Comment 2 Jonas Thiem 2017-07-26 09:50:13 EDT
Created attachment 1304808 [details]
File: cgroup
Comment 3 Jonas Thiem 2017-07-26 09:50:15 EDT
Created attachment 1304809 [details]
File: core_backtrace
Comment 4 Jonas Thiem 2017-07-26 09:50:17 EDT
Created attachment 1304810 [details]
File: cpuinfo
Comment 5 Jonas Thiem 2017-07-26 09:50:19 EDT
Created attachment 1304811 [details]
File: dso_list
Comment 6 Jonas Thiem 2017-07-26 09:50:20 EDT
Created attachment 1304812 [details]
File: environ
Comment 7 Jonas Thiem 2017-07-26 09:50:22 EDT
Created attachment 1304813 [details]
File: exploitable
Comment 8 Jonas Thiem 2017-07-26 09:50:24 EDT
Created attachment 1304814 [details]
File: limits
Comment 9 Jonas Thiem 2017-07-26 09:50:27 EDT
Created attachment 1304815 [details]
File: maps
Comment 10 Jonas Thiem 2017-07-26 09:50:28 EDT
Created attachment 1304816 [details]
File: open_fds
Comment 11 Jonas Thiem 2017-07-26 09:50:30 EDT
Created attachment 1304817 [details]
File: proc_pid_status
Comment 12 Jonas Thiem 2017-07-26 09:50:31 EDT
Created attachment 1304818 [details]
File: var_log_messages
Comment 13 Nils Philippsen 2017-07-30 07:54:09 EDT
Please add details on what you were doing when the crash happened.
Comment 14 Jonas Thiem 2017-07-30 08:35:17 EDT
I really can't remember. All I remember is that I clicked when it happened, but I was doing something in a rush so I don't really recall what I was doing last.
Comment 15 Nils Philippsen 2017-08-04 19:51:37 EDT
I've opened a bug on the upstream bug tracker here:

https://bugzilla.gnome.org/show_bug.cgi?id=785846

Please consider adding yourself to Cc there. I'll close this bug as UPSTREAM because I don't want to keep track of it in two places ;). Feel free to reopen once a fix is ready, so that we can incorporate it without having to wait for the next public release.

Note You need to log in before you can comment on or make changes to this bug.